#
# spec file for quilt - patch management scripts
#

Name:		quilt
Summary:	Scripts for working with series of patches
License:	GPL
Group:		Development/Other
Version:	0.42
Release:	1mdk
URL:		http://savannah.nongnu.org/projects/quilt
Requires:	coreutils diffutils patch gzip bzip2 perl mktemp gettext
Source:		quilt-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
The scripts allow to manage a series of patches by keeping
track of the changes each patch makes. Patches can be
applied, un-applied, refreshed, etc.

The scripts are heavily based on Andrew Morton's patch scripts
found at http://www.zip.com.au/~akpm/linux/patches/.

Authors:
--------
    Andrew Morton <akpm@digeo.com>
    Andreas Gruenbacher <agruen@suse.de>

%prep
%setup

%build
%configure
make BUILD_ROOT=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install BUILD_ROOT=$RPM_BUILD_ROOT
# mv -f $RPM_BUILD_ROOT/etc/quilt.quiltrc $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/
%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%config(noreplace) /etc/bash_completion.d/quilt
%config(noreplace) /etc/quilt.quiltrc
/usr/bin/guards
/usr/bin/quilt
/usr/share/quilt/
%{_libdir}/quilt/
/etc/bash_completion.d/quilt
%doc %{_mandir}/man1/guards.1.bz2
%doc %{_mandir}/man1/quilt.1.bz2
%doc %{_docdir}/%{name}-%{version}/README.MAIL
%doc %{_docdir}/%{name}-%{version}/README
%doc %{_docdir}/%{name}-%{version}/quilt.pdf

%changelog
* Thu Aug  4 2005 Arnaud Patard <apatard@mandriva.com> 0.42-1mdk
- New version

* Tue May  3 2005 Arnaud Patard <apatard@mandriva.com> 0.40-1mdk
- New version (add trailing-whitespace check support in quilt refresh)
- Make rpmlint happy :)

* Wed Apr 13 2005 Arnaud Patard <apatard@mandriva.com> 0.39-1mdk
- First version. The spec file is nearly the same as the one shipped
  in the tarball
